package event

import cdssdk "gitlink.org.cn/cloudream/common/sdks/storage"

type HubStorageGC struct {
	EventBase
	StorageID cdssdk.StorageID `json:"storageID"`
}

func NewHubStorageGC(storageID cdssdk.StorageID) *HubStorageGC {
	return &HubStorageGC{
		StorageID: storageID,
	}
}

func init() {
	Register[*HubStorageGC]()
}
